package it.dsestili.jhash.core;

/*
JHash a simple hash code generator
Copyright (C) 2013 Davide Sestili

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

import java.util.EventObject;

@SuppressWarnings("serial")
public class ProgressEvent extends EventObject
{
	private final int pCent;
	private final long current;
	private final long tot;
	
	public ProgressEvent(Object source, int pCent, long current, long tot) 
	{
		super(source);

		this.pCent = pCent;
		this.current = current;
		this.tot = tot;
	}

	public int getPCent() 
	{
		return pCent;
	}

	public long getCurrent() 
	{
		return current;
	}

	public long getTot() 
	{
		return tot;
	}

	@Override
	public String toString() 
	{
		return "Progress " + pCent + "% (" + Utils.getFriendlySize(current) + " of " + Utils.getFriendlySize(tot) + ")";
	}
	
}
